<!DOCTYPE html >
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
          integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
            integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"
            integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T"
            crossorigin="anonymous"></script>

    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" th:href="@{/css/custom.css}"/>
    <title>Home</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="/">Disimx</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="/admin/courses" th:text="#{courses}"></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/course/modify" th:text="#{add_course}"></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/registration" th:text="#{create_user}"></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
        <span class="nav-link" style="color: white" th:text="#{changeLang}"></span>
        <select id="locales">
            <option value=""></option>
            <option value="en" th:text="#{lang_eng}"></option>
            <option value="it" th:text="#{lang_it}"></option>
        </select>
    </div>
</nav>
<div class="container d-flex justify-content-center">
    <div class="form_course_div row" th:object="${course}">
        <h4 class="text-center inline-block" th:text="#{modify_course}"></h4>
        <button class="btn btn-primary inline-block" style="margin-left: 20px;" type="button" onclick="deleteHiddenId()"
                th:text="#{new_course_new_year}"></button>
        <form th:if="${#param?.courseId != null}" method="get" th:action="@{/course/modify}" class="show_form">
            <select class="form-control" th:field="*{year}">
                <option value="">--</option>
                <option th:value="2017" th:text="2017"></option>
                <option th:value="2016" th:text="2016"></option>
            </select>
            <input type="hidden" name="courseId" th:value="${param.courseId}" class="form-control" id="course_id_param">
            <button class="btn btn-primary" type="submit" th:text="#{load}"></button>
        </form>
        <form method="post" th:action="@{/course/modify}" class="course_form">
            <input type="hidden" th:field="*{id}" class="form-control" id="course_id">
            <div class="form-group">
                <label for="course_name" th:text="#{name}"></label>
                <input type="text" th:field="*{name}" class="form-control" id="course_name">
            </div>
            <div class="form-group" style="display: inline-block; margin-left: 100px;">
                <label for="form_course_relation_course_modulo_id" th:text="#{course_relation_modulo}"></label>
                <select multiple class="form-control" id="form_course_relation_course_modulo_id" name="relation_course_modulo_id[]">
                    <option value="">--</option>
                    <option th:each="c : ${courses}"
                            th:value="${c.id}"
                            th:utext="${c.name}"></option>
                </select>
            </div>
            <div class="form-group" style="display: inline-block; margin-left: 100px;">
                <label for="form_course_relation_course_mutuato_id" th:text="#{course_relation_mutuato}"></label>
                <select multiple class="form-control" id="form_course_relation_course_mutuato_id" name="relation_course_mutuato_id[]">
                    <option value="">--</option>
                    <option th:each="c : ${courses}"
                            th:value="${c.id}"
                            th:utext="${c.name}"></option>
                </select>
            </div>
            <div class="form-group" style="display: inline-block; margin-left: 100px;">
                <label for="form_course_relation_course_propedeutico_id" th:text="#{course_relation_propedeutico}"></label>
                <select multiple class="form-control" id="form_course_relation_course_propedeutico_id" name="relation_course_propedeutico_id[]">
                    <option value="">--</option>
                    <option th:each="c : ${courses}"
                            th:value="${c.id}"
                            th:utext="${c.name}"></option>
                </select>
            </div>
            <div class="form-group">
                <label for="form_year_id" th:text="#{year}"></label>
                <select class="form-control" id="form_year_id" name="year">
                    <option th:value="*{year}" th:utext="*{year}">--</option>
                    <option value="2018">2018</option>
                    <option value="2019">2019</option>
                </select>
            </div>
            <div class="form-group">
                <label for="course_name_it" th:text="#{name_it}"></label>
                <input type="text" th:field="*{nameIt}" class="form-control" id="course_name_it">
            </div>
            <div class="form-group">
                <label for="course_code">Code</label>
                <input type="text" th:field="*{code}" class="form-control" id="course_code">
            </div>

            <div class="form-group">
                <label for="form_semester" th:text="#{semester}"></label>
                <select class="form-control" id="form_semester" th:field="*{semester}">
                    <option value="">--</option>
                    <option th:value="1" th:text="1"></option>
                    <option th:value="2" th:text="2"></option>
                </select>
            </div>
            <div class="form-group">
                <label for="form_scientific_area" th:text="#{scientific_area}"></label>
                <select multiple class="form-control" id="form_scientific_area" th:field="*{scientificAreaId}">
                    <option value="">--</option>
                    <option th:each="area : ${scientificAreas}"
                            th:value="${area.id}"
                            th:utext="${area.name}"></option>
                </select>
            </div>
            <div class="form-group">
                <label for="form_scientific_area" th:text="#{professors}"></label>
                <select multiple class="form-control" id="form_profs_select_multiple" th:field="*{profs}">
                    <option value="">--</option>
                    <option th:each="prof : ${profs}"
                            th:value="${prof.id}"
                            th:utext="${prof.name}"></option>
                </select>
            </div>
            <div class="form-group">
                <label for="form_description" th:text="#{description}"></label>
                <textarea class="form-control" id="form_description" rows="3"
                          th:field="*{description}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_description_it" th:text="#{description_it}"></label>
                <textarea class="form-control" id="form_description_it" rows="3"
                          th:field="*{descriptionIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_application" th:text="#{dub_application}"></label>
                <textarea class="form-control" id="form_dub_application" rows="3"
                          th:field="*{dubApplication}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_application_it" th:text="#{dub_application_it}"></label>
                <textarea class="form-control" id="form_dub_application_it" rows="3"
                          th:field="*{dubApplicationIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_communication" th:text="#{dub_communication}"></label>
                <textarea class="form-control" id="form_dub_communication" rows="3"
                          th:field="*{dubCommunication}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_communication_it" th:text="#{dub_communication_it}"></label>
                <textarea class="form-control" id="form_dub_communication_it" rows="3"
                          th:field="*{dubCommunicationIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_evaluation" th:text="#{dub_evaluation}"></label>
                <textarea class="form-control" id="form_dub_evaluation" rows="3"
                          th:field="*{dubEvaluation}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_evaluation_it" th:text="#{dub_evaluation_it}"></label>
                <textarea class="form-control" id="form_dub_evaluation_it" rows="3"
                          th:field="*{dubEvaluationIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_knowledge" th:text="#{dub_knowledge}"></label>
                <textarea class="form-control" id="form_dub_knowledge" rows="3"
                          th:field="*{dubKnowledge}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_knowledge_it" th:text="#{dub_knowledge_it}"></label>
                <textarea class="form-control" id="form_dub_knowledge_it" rows="3"
                          th:field="*{dubKnowledgeIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_skills" th:text="#{dub_skills}"></label>
                <textarea class="form-control" id="form_dub_skills" rows="3"
                          th:field="*{dubSkills}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_dub_skills_it" th:text="#{dub_skills_it}"></label>
                <textarea class="form-control" id="form_dub_skills_it" rows="3"
                          th:field="*{dubSkillsIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_language" th:text="#{changeLang}"></label>
                <textarea class="form-control" id="form_language" rows="3"
                          th:field="*{language}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_language_it" th:text="#{changeLang_it}"></label>
                <textarea class="form-control" id="form_language_it" rows="3"
                          th:field="*{languageIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_note">Note</label>
                <textarea class="form-control" id="form_note" rows="3"
                          th:field="*{note}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_note_it">Note in it</label>
                <textarea class="form-control" id="form_note_it" rows="3"
                          th:field="*{noteIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_mod_esame" th:text="#{mod_esame}"></label>
                <textarea class="form-control" id="form_mod_esame" rows="3"
                          th:field="*{modEsame}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_mod_esame_it" th:text="#{mod_esame_it}"></label>
                <textarea class="form-control" id="form_mod_esame_it" rows="3"
                          th:field="*{modEsameIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_mod_insegnamento" th:text="#{mod_insegnamento}"></label>
                <textarea class="form-control" id="form_mod_insegnamento" rows="3"
                          th:field="*{modInsegnamento}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_mod_insegnamento_it" th:text="#{mod_insegnamento_it}"></label>
                <textarea class="form-control" id="form_mod_insegnamento_it" rows="3"
                          th:field="*{modInsegnamentoIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_programme" th:text="#{programme}"></label>
                <textarea class="form-control" id="form_programme" rows="3"
                          th:field="*{programme}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_programme_it" th:text="#{programme_it}"></label>
                <textarea class="form-control" id="form_programme_it" rows="3"
                          th:field="*{programmeIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_resources" th:text="#{resources}"></label>
                <textarea class="form-control" id="form_resources" rows="3"
                          th:field="*{resources}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_resources_it" th:text="#{resources_it}"></label>
                <textarea class="form-control" id="form_resources_it" rows="3"
                          th:field="*{resourcesIt}"></textarea>
            </div>
            <div class="form-group">
                <label for="form_books_it" th:text="#{books}"></label>
                <textarea class="form-control" id="form_books_it" rows="3"
                          th:field="*{books}"></textarea>
            </div>
            <button class="btn btn-primary" type="submit" th:text="#{save}"></button>
        </form>
    </div>
</div>
<div class="container-fluid">
    <div class="row" style="background-color: #252321; min-height: 150px;">
        <div class="col-md-12" style="padding-top: 50px;">
            <a href="mailto:info@n-rent.com">
                <h6 class="h6" style="text-align: center; color: white; margin-bottom: 10px">info@disimx.com</h6></a>
            <a href="http://www.n-rent.com/Impressum.pdf">
                <h6 class="h6" style="text-align: center; font-size: 16px; color: white;">Copyright 2018-2019</h6></a>
            <h6 class="h6"
                style="text-align: center; font-size: 20px; color: white; margin-bottom: 15px; margin-top: 10px">© 2018
                Disimx</h6>
        </div>
    </div>
</div>


<script type="text/javascript" th:inline="javascript">
    $(document).ready(function () {
        $("#locales").change(function () {
            var selectedOption = $('#locales').val() + " ";
            if (selectedOption != '') {
                if (document.location.href.indexOf('lang=') != -1)
                    var url = document.location.href.replace("lang=", "lang=" + selectedOption);
                else if (document.location.href.indexOf('?') != -1) {
                    var url = document.location.href + "&lang=" + selectedOption;
                } else {
                    var url = document.location.href + "?lang=" + selectedOption;
                }
                window.location.href = url;
            }
        });
    });

    function selectProfs() {
        var profsObj = /*[[${course.profs}]]*/ 'default';
        var profs = [];
        for (i = 0; i < profsObj.length; i++) {
            profs.push(profsObj[i].id);
        }
        $('#form_profs_select_multiple').val(profs);
    }

    function setRelations() {
        var moduloList = /*[[${moduloRelationChildren}]]*/ '';
        var mutuatoList = /*[[${moduloMutuatoChildren}]]*/ '';
        var propedeuticoList = /*[[${moduloPropedeuticoChildren}]]*/ '';

        var modulo = [];
        for (i = 0; moduloList !== null && i < moduloList.length; i++) {
            modulo.push(moduloList[i]);
        }

        var mutuato = [];
        for (i = 0; mutuatoList !== null && i < mutuatoList.length; i++) {
            mutuato.push(mutuatoList[i]);
        }

        var propedeutico = [];
        for (i = 0; propedeuticoList !== null && i < propedeuticoList.length; i++) {
            propedeutico.push(propedeuticoList[i]);
        }

        $('#form_course_relation_course_modulo_id').val(modulo);
        $('#form_course_relation_course_mutuato_id').val(mutuato);
        $('#form_course_relation_course_propedeutico_id').val(propedeutico);
    }

    selectProfs();

    setRelations();

    function deleteHiddenId() {
        $('#course_id').val('');
    }
</script>
</body>
</html>